<?php 
defined('C5_EXECUTE') or die(_("Access Denied."));

class TomoacButtonBlockController extends BlockController {
	protected $btTable = 'btButtonTomoac';
	protected $btInterfaceWidth = "600";
	protected $btInterfaceHeight = "220";
	
	public function getBlockTypeDescription() {
		return t('Tomoac Button');
	}
	
	public function getBlockTypeName() {
		return t('Social button by tomoac');
	}	 

	function save( $data ) {
		$db = Loader::db();
		if(intval($this->bID) > 0) {
			$q = "select count(*) as total FROM btButtonTomoac WHERE bID = ".$this->bID;
			$total = $db->getOne($q);
		} else 
			$total = 0; 

		if($data['buttontw'] == 0)	$data['buttontw'] = 0;
		if($data['buttongp'] == 0)	$data['buttongp'] = 0;
		if($data['buttonfb'] == 0)	$data['buttonfb'] = 0;

		if( intval($total) == 0 ) { 
			$vals = array( intval($this->bID), $data['buttontw'], $data['buttongp'], $data['buttonfb']
					,$data['user'], $data['user2'], $data['appid'], $data['hashtag'], $data['buttonsize']
					,$data['lang'], $data['url'], $data['title'], $data['counter'], $data['annotation']);
			$db->query("INSERT INTO btButtonTomoac
							(bID, buttontw, buttongp, buttonfb, user, user2, appid, hashtag, buttonsize, lang, url, title, counter, annotation)
						 	values (?,?,?,?,?,?,?,?,?,?,?,?,?,?)", $vals);
		} else {
			$vals = array( $data['buttontw'], $data['buttongp'], $data['buttonfb']
					,$data['user'], $data['user2'], $data['appid'], $data['hashtag'], $data['buttonsize']
					,$data['lang'], $data['url'], $data['title'], $data['counter'], $data['annotation'], intval($this->bID));
			$db->query("UPDATE btButtonTomoac set 
							buttontw=?, buttongp=?, buttonfb=?, 
							user=?, user2=?, appid=?, hashtag=?, buttonsize=?,
							lang=?, url=?, title=?, counter=?, annotation=? WHERE bID = ?", $vals);
		}
	}
}
